Name: 		kiran-qt5-integration
Version:	2.4.0
Release:	16%{?dist}
Summary:	Kiran desktop platform integration plugin.

License:	MulanPSL-2.0
Source0:	%{name}-%{version}.tar.gz

Patch0001:	0001-fix-Memory-leak-Fix-the-memory-leak-of-allocating-QP.patch
Patch0002:	0002-fix-arrow-Adjust-the-theme-drawing-arrow.patch
Patch0003:	0003-build-qt5.11.1-Adaptation-Qt5.11.1.patch
Patch0004:	0004-feat-style-app-Adjust-the-topic-configuration-to-whi.patch
Patch0005:	0005-fix-style-add-ksl-os-gui-to-the-Style-whitelist.patch
Patch0006:	0006-feat-cursor-theme-When-the-cursor-theme-changes-let-.patch
Patch0007:	0007-fix-style-add-ksl-server-gui-and-ks-scmc-gui-to-kira.patch
Patch0008:	0008-fix-cmake-target-change-cmake-target-name.patch
Patch0009:	0009-fix-qt5.9.7-fits-the-Qt5.9.7-interface.patch
Patch0010:	0010-fix-style-add-ks-ssr-gui-to-white-list.patch
Patch0011:	0011-fix-theme-Fix-the-use-of-QApplication-class-for-plat.patch
Patch0012:	0012-feature-style-add-kiran-manual-to-default-white-list.patch
Patch0013:	0013-feature-adapt-Modified-some-code-to-adapt-to-KY3.3-6.patch

BuildRequires:	cmake >= 3.2
BuildRequires:  gcc-c++
BuildRequires:  pkgconf
BuildRequires:  sassc
BuildRequires:  python%{python3_pkgversion}
BuildRequires:  python%{python3_pkgversion}-cairo

BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtbase-private-devel
BuildRequires: qt5-qtbase-static
BuildRequires: qt5-qtsvg-devel
BuildRequires: qt5-linguist
BuildRequires: gsettings-qt-devel

BuildRequires:  kiran-qdbusxml2cpp
BuildRequires:  kiran-log-qt5-devel
BuildRequires:  kiran-cc-daemon-devel

Requires: qt5-qtbase
Requires: qt5-qtsvg
Requires: gsettings-qt
Requires: kiran-log-qt5

%package devel
Summary: develop package for kiran-qt5-integration
Requires: %{name} = %{version}-%{release}

%description devel
%{summary}

%description
%{summary}

%prep
%autosetup -p1

%build
%cmake
make %{?_smp_mflags}

%install
%make_install

%files
%{_libdir}/qt5/plugins/*
%{_libdir}/libkiran-style-helper.so.2*
%{_sysconfdir}/kiran-qt5-integration/kiran-qt5-integration.ini

%files devel
%{_includedir}/kiran-style/*
%{_libdir}/libkiran-style-helper.so
%{_libdir}/pkgconfig/kiran-style-helper.pc

%changelog
* Mon Apr 15 2024 youzhengcai <youzhengcai@kylinsec.com.cn> - 2.4.0-16
- rebuil for 3.6.1

* Fri Dec 15 2023 youzhengcai <youzhengcai@kylinsec.com.cn> - 2.4.0-15
- KYOS-F: add kiran-manual to default kiran-style-apps list

* Mon Dec 04 2023 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.4.0-14
- KYOS-F: Fix the use of QApplication class for platform theme plugin errors

* Thu Nov 02 2023 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.4.0-13
- KYOS-B: add ks-ssr-gui to white list

* Tue Sep 05 2023 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.4.0-12
- KYOS-F: fits the Qt5.9.7 interface

* Mon Sep 04 2023 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.4.0-11
- KYOS-F: fix cmake target name test cause build error.

* Fri Aug 11 2023 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.4.0-10
- KYOS-F: add ksl-server-gui and ks-scmc-gui to kiran-style-apps

* Thu Aug 10 2023 kpkg <kpkg.kylinsec.com.cn> - 2.4.0-9
- rebuild for KY3.4-3-KiranUI-2.4

* Mon Aug 07 2023 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.4.0-8
- KYOS-F: When the cursor theme changes, let the Qt application cursor reload(#11637)

* Mon Jul 03 2023 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.4.0-7
- KYOS-F: add ksl-os-gui to kiran style white list

* Mon Jun 05 2023 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.4.0-6
- KYOS-F: Adjust the topic configuration to whitelist

* Wed Apr 12 2023 kpkg <kpkg.kylinsec.com.cn> - 2.4.0-5
- rebuild for KY3.4-5-GC-KiranUI-2.5

* Fri Apr 07 2023 kpkg <kpkg.kylinsec.com.cn> - 2.4.0-4
- rebuild for KiranUI-2.5-next

* Fri Apr 07 2023 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.4.0-3
- KYOS-F: Adaptation Qt5.11.1,Adjust the theme drawing arrow

* Fri Nov 25 2022 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.4.0-2
- KYOS-F:Fix the memory leak of change theme

* Mon Oct 31 2022 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.4.0-1
- KYOS-F: Modify the color table and add new color types, and support the 2.4 color block design of the control center

* Tue Aug 09 2022 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.3.0-4
- KYOS-B: update painting effect of the scrolling area
- KYOS-F: update log output when creating theme and style plug-ins

* Thu Aug 04 2022 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.3.0-3
- KYOS-F: add window hover color

* Mon Jul 11 2022 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.3.0-2
- KYOS-F: reduce some log level,disable kiranstyle settings file

* Wed Jul 06 2022 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.3.0-1
- Initial source 
